package com.iamberry.wechat.core.entity.rent;

import java.io.Serializable;
import java.util.Date;

import com.iamberry.wechat.core.entity.PageBean;

/**
 * 1.1.10	服务费抵扣券表
 * 2017年3月9日
 * @author LJK
 */
public class ServiceCouponInfo implements Serializable{
	private static final long serialVersionUID = 4710180760152068494L;

    private Integer serviceId;                         //id
    private String	serviceName;	//服务费抵扣券名称
    private String serviceOpenId;	//服务费抵扣券所属人openid
    private Integer serviceMoney;//服务费抵扣券金额
    private Date serviceStartTime; //开始时间
    private Date serviceEndTime;//结束时间
    private Integer serviceStatus;//使用状态
    private Date serviceCreateTime;//创建时间
    private Integer serviceOldStatus;	//旧状态
    private PageBean page = new PageBean(); //分页
    
	public PageBean getPage() {
		return page;
	}
	public void setPage(PageBean page) {
		this.page = page;
	}
	public Integer getServiceId() {
		return serviceId;
	}
	public void setServiceId(Integer serviceId) {
		this.serviceId = serviceId;
	}
	public String getServiceName() {
		return serviceName;
	}
	public void setServiceName(String serviceName) {
		this.serviceName = serviceName;
	}
	public String getServiceOpenId() {
		return serviceOpenId;
	}
	public void setServiceOpenId(String serviceOpenId) {
		this.serviceOpenId = serviceOpenId;
	}
	public Integer getServiceMoney() {
		return serviceMoney;
	}
	public void setServiceMoney(Integer serviceMoney) {
		this.serviceMoney = serviceMoney;
	}
	public Date getServiceStartTime() {
		return serviceStartTime;
	}
	public void setServiceStartTime(Date serviceStartTime) {
		this.serviceStartTime = serviceStartTime;
	}
	public Date getServiceEndTime() {
		return serviceEndTime;
	}
	public void setServiceEndTime(Date serviceEndTime) {
		this.serviceEndTime = serviceEndTime;
	}
	public Integer getServiceStatus() {
		return serviceStatus;
	}
	public void setServiceStatus(Integer serviceStatus) {
		this.serviceStatus = serviceStatus;
	}
	public Date getServiceCreateTime() {
		return serviceCreateTime;
	}
	public void setServiceCreateTime(Date serviceCreateTime) {
		this.serviceCreateTime = serviceCreateTime;
	}
	public Integer getServiceOldStatus() {
		return serviceOldStatus;
	}
	public void setServiceOldStatus(Integer serviceOldStatus) {
		this.serviceOldStatus = serviceOldStatus;
	}
	@Override
	public String toString() {
		return "ServiceCouponInfo [serviceId=" + serviceId + ", serviceName="
				+ serviceName + ", serviceOpenId=" + serviceOpenId
				+ ", serviceMoney="
				+ serviceMoney + ", serviceStartTime=" + serviceStartTime
				+ ", serviceEndTime=" + serviceEndTime + ", serviceStatus="
				+ serviceStatus + ", serviceCreateTime=" + serviceCreateTime
				+ "]";
	}

    
   
    
}
